Bug 240820 - Kernel update causes bcm43xx driver to fail
Kernel update causes bcm43xx driver to fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Will Woods
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 21:19 EDT by Andrew Alm
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 08:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Alm 2007-05-21 21:19:03 EDT
Description of problem:
After updating my laptop to the 2.6.21-1.3163 kernel my wireless (Apple AirPort
Extreme) seemed to stop working.  The driver still works fine booting into the
previous kernel.  This is the error message I am getting:

bcm43xx_mac80211: YOUR FIRMWARE IS TOO OLD. Firmware from binary drivers older
than version 4.x is unsupported. You must upgrade your firmware files.

I tried upgrading the firmware, however that did not seem to solve the issue. 
Is there a new version of bcm43xx_fwcutter to go with this that didn't get
updated or something?

Version-Release number of selected component (if applicable):
2.6.21-1.3163

How reproducible:
Definitely a problem with the bcm43xx driver (ppc AirPort Extreme) with the new
kernel.

Steps to Reproduce:
1. Upgrade Kernel
2. Reboot
  
Actual results:
Broken wireless driver.

Expected results:
A working wireless driver.

Additional info:
Comment 1 John W. Linville 2007-05-21 21:27:20 EDT
The current version of bcm43xx-fwcutter should be fine AFAIK.  What driver did 
you use to extract firmware?  I recommend one from openwrt.org:

   http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2

Please try extracting firmware from broadcom-wl-4.80.53.0/kmod/wl_apsta.o 
extracted from the bzip2'ed tar file at the URL above.  Then reboot 
(or "modprobe -r bcm43xx-mac80211 ; modprobe bcm43xx-mac80211").  Does that 
work better for you?
Comment 2 Andrew Alm 2007-05-21 21:43:13 EDT
Thats seems to resolve the issue, thank you.  I was under the impression that
you needed the firmware that matches your specific wireless card... I suppose
this is not the case.  Is the firmware essentially the same for all cards then?
Comment 3 Andrew Alm 2007-05-21 21:44:22 EDT
Sorry, forgot to say the firmware I was using.  I was using the AppleAirPort2
firmware from the PPC version of Mac OSX, I was under the impression you needed
firmware that matched your card.
Comment 4 Will Woods 2007-05-21 22:24:54 EDT
At least for bcm43xx, you can pretty much use firmware from any drivers that
support that card. So you could use firmware from a Windows driver if you
wanted, and it would still work - so long as it was firmware version 4.x or higher.

The bcm43xx README file (/usr/share/doc/bcm43xx-fwcutter-006/README) has a list
of various drivers you can get firmware from, and what version of the firmware
they contain.

We might need to put something in the release notes about this.
Comment 5 John W. Linville 2007-05-22 08:23:46 EDT
As Will noted, the firmware is independent of the host platform (OS/CPU).  And 
while I imagine you _could_ write firmware that is specific to a given device, 
so far Broadcom has not done so (at least afaik).  So, any reasonably modern 
driver's firmware should be usable on most or all current devices.

I'm going to close this as RAWHIDE.  Will, please change that to a more 
appropriate state as you see fit re: release notes or whatever.

Note You need to log in before you can comment on or make changes to this bug.